MethodCallTransformation (Groovy 3.0.7)

Package org.codehaus.groovy.ast

## Class MethodCallTransformation

- java.lang.Object
- - org.codehaus.groovy.ast.MethodCallTransformation

- All Implemented Interfaces:
    `ASTTransformation`
  Direct Known Subclasses:
    `AstBuilderTransformation`, `AstBuilderTransformation`, `MacroClassTransformation`, `MacroTransformation`

      public abstract class MethodCallTransformation
      extends Object
      implements ASTTransformation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodCallTransformation()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract GroovyCodeVisitor` | `getTransformer​(ASTNode[] nodes, SourceUnit sourceUnit)` |
    `void` | `visit​(ASTNode[] nodes, SourceUnit sourceUnit)` | The method is invoked when an AST Transformation is active.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodCallTransformation

          public MethodCallTransformation()

  - ### Method Detail

    - #### visit

          public void visit​(ASTNode[] nodes,
                            SourceUnit sourceUnit)

      Description copied from interface: `ASTTransformation`
      The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.
      Specified by:
        `visit` in interface `ASTTransformation`
      Parameters:
        `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
        `sourceUnit` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.

    - #### getTransformer

          protected abstract GroovyCodeVisitor getTransformer​(ASTNode[] nodes,
                                                              SourceUnit sourceUnit)